#!/usr/bin/perl

###
### Account Services Manager - Cancel Account Script
###

# Global script variables.
use vars qw(%HTTP_Args $module $Module_Title $Module_Header);
$module       = 'cancel';
$Module_Title = 'Cancel Account';

require '../lib/main.pl';
GetConf();
LoadHTTPArgs();
require '../lib/auth.pl';
EvalConfVars();
SendHeaders();

HTML::PrintTop();

print "<h2 align=\"center\"><u>Cancel Account</u></h2>\n";

my $reason = $HTTP_Args{'reason'};

if($reason)
{
    my $pass = $HTTP_Args{'pass'};

    if($UserConf{'Passwd'} ne crypt($pass, $UserConf{'Passwd'}))
    {
        print "<font face=\"verdana, arial\" size=\"2\">Incorrect password!</font>\n";
        PrintHTML_Bottom();
        exit;
    }

    use DBI;
    do '../conf/sql.auth';
    my $db = DBI->connect("DBI:mysql:admin:$db_host", $db_user, $db_pass);

    my $list = $db->prepare("select user from cancellations");
    $list->execute;
    my @row;
    while(@row = $list->fetchrow_array)
    {
        if($row[0] eq $AUTH::User)
        {
            print "<font face=\"verdana, arial\" size=\"2\">Error: You can only cancel once. Another cancellation record was found in the database with your name.</font>\n";
            PrintHTML_Bottom();
            $list->finish;
            $db->disconnect;
            exit;
        }
    }
    undef @row;

    my $date = time;

    $reason =~ s/'/\\'/g;
    my $query = $db->prepare("insert into cancellations(user, reason, date) values('$AUTH::User', '$reason', $date)");
    $query->execute;

    print "<font face=\"verdana, arial\" size=\"2\">Account cancellation has been submitted to the administrator.</font>\n";

    $db->disconnect;
}else{
    print qq~<form method="post" action="$ENV{'SCRIPT_NAME'}" onsubmit="return confirm('Are you really sure you want to Cancel?');">
<table border="0" cellpadding="1" cellspacing="0" align="center">
 <tr>
  <td><font face=\"verdana, arial\" size=\"2\">Enter current password:</font></td>
  <td><input type="password" name="pass" value=""></td>
 </tr>
 <tr>
  <td><font face=\"verdana, arial\" size=\"2\">Please enter a reason for cancelling your account:</font></td>
  <td><textarea name="reason" rows="5" cols="45"></textarea></td>
 </tr>
 <tr>
  <td colspan="2" align="center"><input type="submit" value="   Cancel Account   "></td>
 </tr>
</table>
</form>~;
}

HTML::PrintBottom();
