#
# Account Services Manager - View Logs Module
#

my %log_config;

sub LoadLogConfig
{
    my @tmp_buf;

    for($i = 0; $i < $Global_Config{'LogFile'}[0]; $i++) {
        @tmp_buf = split(/\s/, $Global_Config{'LogFile'}[$i + 1]);
        $log_config{$tmp_buf[0]} = $tmp_buf[1];
    }
}

sub Main
{
    LoadLogConfig();

    my $log_name = $HTTP_Args{'log-name'};

    if($log_name) {
        if(exists $log_config{$log_name}) {
            print "<font face=\"verdana, arial\" size=\"2\">$log_name</font>\n";
            print "<pre>\n";
            system('/usr/bin/tail', $log_config{$log_name});
            print "</pre>\n";
        }
        else {
            print "The specified log file could not be found.<br>\n";
            print "<a href=\"index.cgi?module=view-logs\">Back to main menu...</a>\n";
        }
    }
    else {
        print "<font face=\"verdana, arial\" size=\"2\">Select a log below:<br>\n";
        foreach(keys %log_config) {
            print "<a href=\"index.cgi?module=view-logs&log-name=$_\">$_</a><br>\n";
        }
        print "</font>\n";
    }
}

1;
